# Sample Configurations

[ovs]
# Do not change this parameter unless you have a good reason to.
# This is the name of the OVS integration bridge. There is one per hypervisor.
# The integration bridge acts as a virtual "patch port". All VM VIFs are
# attached to this bridge and then "patched" according to their network
# connectivity.
# integration_bridge = br-int

[agent]
# Agent's polling interval in seconds
# polling_interval = 2

[securitygroup]
# Firewall driver for realizing neutron security group function
firewall_driver = neutron.agent.linux.iptables_firewall.OVSHybridIptablesFirewallDriver

# Controls if neutron security group is enabled or not.
# It should be false when you use nova security group.
# enable_security_group = True

[ofc]
# Specify OpenFlow Controller Host, Port and Driver to connect.
# host = 127.0.0.1
# port = 8888

# Base URL of OpenFlow Controller REST API.
# It is prepended to a path of each API request.
# path_prefix =

# Drivers are in neutron/plugins/nec/drivers/ .
# driver = trema

# PacketFilter is available when it's enabled in this configuration
# and supported by the driver.
# enable_packet_filter = true

# Use SSL to connect
# use_ssl = false

# Key file
# key_file =

# Certificate file
# cert_file =

# Disable SSL certificate verification
# insecure_ssl = false

# Maximum attempts per OFC API request. NEC plugin retries
# API request to OFC when OFC returns ServiceUnavailable (503).
# The value must be greater than 0.
# api_max_attempts = 3

[provider]
# Default router provider to use.
# default_router_provider = l3-agent
# List of enabled router providers.
# router_providers = l3-agent,openflow
